from django.shortcuts import render_to_response, get_object_or_404
from django.http import *
from django.template import RequestContext
from django.core.urlresolvers import reverse
from django.utils import simplejson
from django.core.cache import cache

import datetime, random, os, math
from django.conf import settings

def home(request):
    'Load JSON output from the file data/daily.txt (generated by a cron job) and render it via the template.'

    movies = simplejson.load(open(os.path.join(settings.APP_DIR, 'data/daily.txt'), "r"))
    movies.sort(key = lambda x: x['rating'], reverse=True)
    #print len(movies)
    return render_to_response("iphone/home.html", {'movies':movies}, context_instance=RequestContext(request))